{% extends 'base.html.twig' %}

{% block title %}Hello OrderController!{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>

<div class="example-wrapper" style="background-color: #ebebeb">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="form-group">
                    <label>Buy SSL</label>
                </div>
                {% if message is defined %}
				<div class="alert alert-danger">
					<ul>
						<li>{{ message }}</li>
					</ul>
				</div>
				{% endif %}
                <div class="panel-body">
                    <form class="form-horizontal" method="POST" action="{{ path('order_login_action') }}">

                        

                        <div class="form-group{{ ' has-error' }}">
                            <label for="domain" class="col-md-4 control-label">Domain</label>

                            <div class="col-md-6">
                                <input id="domain" type="text" class="form-control" name="domain" placeholder="Domain" required>

                                {% if errors is defined %}
                                    <span class="help-block">
                                        <strong>{{ ('domain') }}</strong>
                                    </span>
                                {% endif %}
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <div class="checkbox">
                                    <label>
                                        <input type="checkbox" name="remember" {{ 'checked' }}> Remember Me
                                    </label>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-8 col-md-offset-4">
                                <button type="button" class="btn btn-primary" id="btn-login">
                                    Buy
                                </button>
                            </div>
                            <div class="col-md-8 col-md-offset-4">
                                <a class="btn btn-link" href="{{ ('password.request') }}">
                                    Forgot Your Password?
                                </a>
                                <a class="btn btn-link" href="{{ path('order_register') }}">
                                    Register
                                </a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}
{% block javascripts %}
<script>
    $("#btn-login").click(function(){
        // alert('btn-login')
        $.ajax({
            url : "http://127.0.0.1:8000/order/loginAction",
            type : "post",
            dataType:"json",
            data : {
                domain : $('#domain').val(),
            },
            success : function (result){
                alert(result ? JSON.stringify(result.domain) : 'NULL')
            }
        });
    })
</script>
{% endblock %}